Bug 843813 - [abrt] terminator-0.96-2.fc17: prefseditor.py:1307:set_layout:AttributeError: 'NoneType' object has no attribute 'keys'
[abrt] terminator-0.96-2.fc17: prefseditor.py:1307:set_layout:AttributeError:...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: terminator (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
abrt_hash:5106bba22598a1fb2e5f93beeac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 08:22 EDT by steinach2810
Modified: 2013-06-28 17:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 17:55:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description steinach2810 2012-07-27 08:22:41 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/terminator -m --layout=pConversion --profile=prog --working-directory=/home/odorf/bucket/videos/convert/
comment:        i ve tried to rename a layout by pasting its name. when i deselcted the name field, it went blank and generated the report
event_log:      2012-07-27-15:21:44> Smolt profile successfully saved
executable:     /usr/bin/terminator
kernel:         3.4.6-2.fc17.i686.PAE
time:           Thu 26 Jul 2012 10:01:41 AM EEST
uid:            1000
username:       odorf

backtrace:
:prefseditor.py:1307:set_layout:AttributeError: 'NoneType' object has no attribute 'keys'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/terminatorlib/prefseditor.py", line 1166, in on_layout_selection_changed
:    self.layouteditor.on_layout_selection_changed(selection)
:  File "/usr/lib/python2.7/site-packages/terminatorlib/prefseditor.py", line 1364, in on_layout_selection_changed
:    self.set_layout(layout)
:  File "/usr/lib/python2.7/site-packages/terminatorlib/prefseditor.py", line 1307, in set_layout
:    children = layout.keys()
:AttributeError: 'NoneType' object has no attribute 'keys'
:
:Local variables in innermost frame:
:self: <terminatorlib.prefseditor.LayoutEditor instance at 0xae6ed0c>
:layout_name: 'New Layout'
:layout: None
:listitems: {}
:store: <gtk.TreeStore object at 0xa5acacc (GtkTreeStore at 0xafe3440)>

smolt_data:
:
:
:General
:=================================
:UUID: cb16d511-9867-4b79-a1a8-999c846afd79
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 6011.77
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) II X2 250 Processor
:CPU Stepping: 2
:CPU Family: 16
:CPU Model Num: 6
:Number of CPUs: 2
:CPU Speed: 3000
:System Memory: 1763
:System Swap: 3551
:Vendor: To Be Filled By O.E.M.
:System: To Be Filled By O.E.M. To Be Filled By O.E.M.
:Form factor: Desktop
:Kernel: 3.4.6-2.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17296:6217:17296) pci, ahci, STORAGE, Motherboard (one of many)
:(4130:38409:6217:38401) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 5)
:(4098:38676:6217:38676) pci, radeon, VIDEO, RS880 [Radeon HD 4290]
:(4130:38401:6217:38401) pci, None, HOST/PCI, RS880 Host Bridge
:(6217:38402:6217:38402) pci, None, PCI/PCI, N/A
:(4358:13315:6217:13315) pci, firewire_ohci, FIREWIRE, VT6315 Series Firewire Controller
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4098:17302:6217:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:6217:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4332:33128:6217:33128) pci, r8169, ETHERNET, Motherboard (one of many)
:(4098:17312:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 0)
:(4098:17308:6217:17308) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:0:0) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17309:6217:17309) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:6217:9504) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:6217:17305) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:6217:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:38671:6217:38671) pci, snd_hda_intel, MULTIMEDIA, RS880 Audio Device [Radeon HD 4200]
:(4098:17303:6217:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:6217:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:6217:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4147:404:6217:404) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(4130:38408:6217:38401) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 4)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg-lv_root / ext4 4096 4096 13081025 10259155 9603795 3276800 2998684 2998684
:/dev/sdb2 /boot ext4 1024 1024 508644 405170 379570 128016 127667 127667
:/dev/mapper/vg-lv_home /home ext4 4096 4096 82247347 29009498 24892199 20586496 20431380 20431380
:

Note You need to log in before you can comment on or make changes to this bug.